---
updatedAt: 2026-06-18T16:33:19.000Z
agentTools:
  projectIndex: https://docs.lumeo.com/llms.txt
---

# Update Trackable Item

Updates a specific trackable item.

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Lumeo API",
    "version": "1.0",
    "description": "Lumeo is a custom video analytics platform that enables you to rapidly create, deploy,\nand securely manage smart vision-enabled applications. Our vision\nbuilding-blocks remove the development and operational overhead of\nmanaging off-the-shelf IP video cameras and visual data infrastructure for\nyou, and give you a fast, reliable and scalable way to bring vision-enabled\nservices to market.\n\nThe Lumeo API gives you an easy way to control your vision application and\nintegrate cameras, storage, processing and model management with your\napplication.\n\n# Authentication\n\nAll requests to Lumeo's REST API require you to authenticate. You\nauthenticate requests to Lumeo using API Keys which can be created and\nrevoked in the Lumeo Console.\n\n> To authenticate using an API Key, use HTTP Bearer (token) authentication and provide the API\n> key as the token in the Authorization header when making requests to protected resources:\n```\nAuthorization: Bearer <token>\n```\n\n# API Error Codes\n\nWhat errors and status codes can a user expect?\n\n| Error Code                          | Description |\n|-------------------------------------|-------------|\n| HTTP Status Codes for GET Requests  | Description |\n| HTTP Status Codes for POST Requests | Description |\n| Other Inline Error Codes            | Description |\n",
    "contact": {
      "name": "Lumeo",
      "url": "https://www.lumeo.com",
      "email": "support@lumeo.com"
    }
  },
  "servers": [
    {
      "url": "https://api.lumeo.com/v1",
      "description": "Production"
    }
  ],
  "tags": [
    {
      "name": "trackables",
      "description": "Trackable lists are collections of objects that can be tracked in video streams"
    }
  ],
  "paths": {
    "/apps/{application_id}/trackables/{trackable_list_id}/items/{trackable_item_id}": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "name": "application_id",
          "in": "path",
          "required": true,
          "description": "The application this trackable list belongs to."
        },
        {
          "schema": {
            "type": "string",
            "format": "uuid"
          },
          "name": "trackable_list_id",
          "in": "path",
          "required": true,
          "description": "The trackable list's id."
        },
        {
          "schema": {
            "type": "string",
            "format": "uuid"
          },
          "name": "trackable_item_id",
          "in": "path",
          "required": true,
          "description": "The trackable item's id."
        }
      ],
      "put": {
        "summary": "Update Trackable Item",
        "operationId": "update_trackable_item",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TrackableItem"
                }
              }
            }
          }
        },
        "tags": [
          "trackables"
        ],
        "description": "Updates a specific trackable item.",
        "security": [
          {
            "api_key": []
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateTrackableItem"
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "http",
        "scheme": "bearer",
        "description": ""
      }
    },
    "schemas": {
      "TrackableItem": {
        "title": "TrackableItem",
        "type": "object",
        "required": [
          "application_id",
          "attributes",
          "created_at",
          "id",
          "labels",
          "name",
          "trackable_list_id",
          "updated_at"
        ],
        "properties": {
          "id": {
            "description": "An UUIDv4 identifer for this object.",
            "type": "string",
            "format": "uuid",
            "example": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
          },
          "name": {
            "type": "string"
          },
          "created_at": {
            "description": "The time this object was created (ISO 8601).",
            "type": "string",
            "format": "date-time",
            "example": "2014-03-12T13:37:27Z"
          },
          "updated_at": {
            "description": "The time this object was last updated (ISO 8601).",
            "type": "string",
            "format": "date-time",
            "example": "2014-03-12T13:37:27Z"
          },
          "application_id": {
            "description": "The application this trackable item belongs to.",
            "type": "string",
            "format": "uuid",
            "example": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
          },
          "trackable_list_id": {
            "description": "The trackable list this item belongs to.",
            "type": "string",
            "format": "uuid",
            "example": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "labels": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "attributes": {}
        }
      },
      "UpdateTrackableItem": {
        "title": "UpdateTrackableItem",
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "labels": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "attributes": {}
        }
      }
    }
  }
}
````